• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Can no longer program straight from Alchitry with version 1.1.1
#1
I'm running Alchitry in a Windows 7 VM (Parallels) on a Mac.

This has always worked fine in the past, but after I upgraded to version 1.1.1, my project will
compile, but when I try to download it from the IDE, I get the following error:

org.usb4java.LibUsbException: USB error 5: LibUsb.open() failed: Entity not found
    at com.alchitry.labs.hardware.usb.UsbDevice.usbFindAll(UsbDevice.java:218)
    at com.alchitry.labs.hardware.usb.UsbUtil.getDevice(UsbUtil.java:46)
    at com.alchitry.labs.hardware.usb.UsbUtil.openFtdiDevice(UsbUtil.java:91)
    at com.alchitry.labs.hardware.loaders.AuLoader.eraseFlash(AuLoader.java:21)
    at com.alchitry.labs.hardware.loaders.ProjectLoader.erase(ProjectLoader.java:54)
    at com.alchitry.labs.project.Project$9.run(Project.java:1557)

On the other hand, if I run the Alchitry loader, it works fine for both programming and flashing the EEPROM.

I'd appreciate any advice.

Never mind!  I skipped 1.1.0, so I didn't get the splash about installing WinUSB.  It works now.
  Reply


Messages In This Thread
Can no longer program straight from Alchitry with version 1.1.1 - by prebys - 07-23-2019, 09:23 PM

Forum Jump:


Users browsing this thread: 1 Guest(s)